Package com.xebialabs.xlrelease.domain.events

## Class TaskCompletedEvent

- java.lang.Object
- - com.xebialabs.xlrelease.domain.events.TaskCompletedEvent

- All Implemented Interfaces:
    `TaskEvent`, `TaskExecutionEvent`, `XLReleaseEvent`, `java.io.Serializable`, `scala.Equals`, `scala.Product`

      public class TaskCompletedEvent
      extends java.lang.Object
      implements TaskExecutionEvent, scala.Product, java.io.Serializable

  Event published when a task has been completed.

  param: task instance of the task. param: inAdvance `true` if this task was completed in advance, `false` if it has just finished executing.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskCompletedEvent​(Task task, boolean inAdvance)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TaskCompletedEvent` | `apply​(Task task, boolean inAdvance)` |
    `boolean` | `canEqual​(java.lang.Object x$1)` |
    `TaskCompletedEvent` | `copy​(Task task, boolean inAdvance)` |
    `Task` | `copy$default$1()` |
    `boolean` | `copy$default$2()` |
    `boolean` | `equals​(java.lang.Object x$1)` |
    `int` | `hashCode()` |
    `boolean` | `inAdvance()` |
    `int` | `productArity()` |
    `java.lang.Object` | `productElement​(int x$1)` |
    `java.lang.String` | `productElementName​(int x$1)` |
    `scala.collection.Iterator<java.lang.Object>` | `productIterator()` |
    `java.lang.String` | `productPrefix()` |
    `Task` | `task()` | The task of which status has changed.
    `java.lang.String` | `toString()` |
    `static scala.Option<scala.Tuple2<Task,​java.lang.Object>>` | `unapply​(TaskCompletedEvent x$0)` |
    `java.lang.String` | `username()` |
    `void` | `username_$eq​(java.lang.String x$1)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface scala.Product

      `productElementNames`

    - ### Methods inherited from interface com.xebialabs.xlrelease.domain.events.XLReleaseEvent

      `timeMs, timestamp`

- - ### Constructor Detail

    - #### TaskCompletedEvent

          public TaskCompletedEvent​(Task task,
                                    boolean inAdvance)

  - ### Method Detail

    - #### apply

          public static TaskCompletedEvent apply​(Task task,
                                                 boolean inAdvance)

    - #### unapply

          public static scala.Option<scala.Tuple2<Task,​java.lang.Object>> unapply​(TaskCompletedEvent x$0)

    - #### username

          public java.lang.String username()

      Specified by:
        `username` in interface `XLReleaseEvent`

    - #### username_$eq

          public void username_$eq​(java.lang.String x$1)

      Specified by:
        `username_$eq` in interface `XLReleaseEvent`

    - #### task

          public Task task()

      Description copied from interface: `TaskExecutionEvent`
      The task of which status has changed.
      Specified by:
        `task` in interface `TaskExecutionEvent`
      Returns:
        (undocumented)

    - #### inAdvance

          public boolean inAdvance()

    - #### copy

          public TaskCompletedEvent copy​(Task task,
                                         boolean inAdvance)

    - #### copy$default$1

          public Task copy$default$1()

    - #### copy$default$2

          public boolean copy$default$2()

    - #### productPrefix

          public java.lang.String productPrefix()

      Specified by:
        `productPrefix` in interface `scala.Product`

    - #### productArity

          public int productArity()

      Specified by:
        `productArity` in interface `scala.Product`

    - #### productElement

          public java.lang.Object productElement​(int x$1)

      Specified by:
        `productElement` in interface `scala.Product`

    - #### productIterator

          public scala.collection.Iterator<java.lang.Object> productIterator()

      Specified by:
        `productIterator` in interface `scala.Product`

    - #### canEqual

          public boolean canEqual​(java.lang.Object x$1)

      Specified by:
        `canEqual` in interface `scala.Equals`

    - #### productElementName

          public java.lang.String productElementName​(int x$1)

      Specified by:
        `productElementName` in interface `scala.Product`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object x$1)

      Specified by:
        `equals` in interface `scala.Equals`
      Overrides:
        `equals` in class `java.lang.Object`